import Layout from "@/components/Layout";

import Search from "@/components/Pages/Search";

import { VideoAgent } from "@/utils/agent";
import { getPlatformCookie } from "@/utils/cookies/read";

export default async function SearchPage({ params }: { params: { query: string } }) {

    const platform = await getPlatformCookie()

    const data = await new VideoAgent(platform).getGallery({ query: params.query })

    return <Layout>
        <Search data={data} query={decodeURIComponent(params.query)} />
    </Layout>
}