'use client'

import React from 'react';

import { AppProgressBar as ProgressBar } from 'next-nprogress-bar';

import { LAYOUT_COLORS_PINK, LAYOUT_COLORS_YELLOW } from '@/constants/colors';
import { Themes } from '@/meta/settings';

interface Props {
  theme?: Themes
}

const Body: React.FC<Props & React.PropsWithChildren> = (props) => {

  const { theme, children } = props;

  return (
    <body>
      <main className="container">{children}</main>
        <ProgressBar
            height="4px"
            color={theme == Themes.dark ? LAYOUT_COLORS_YELLOW : LAYOUT_COLORS_PINK}
            options={{ showSpinner: false }}
            shallowRouting
        />
    </body>
  );
};

export default Body;