import React from 'react';

import style from './Disclaimer.module.scss'

import { useTranslations } from 'next-intl';

const Disclaimer: React.FC = () => {

  const MAX_DISCLAIMER_NO = 6

  const t = useTranslations('Header');

  const getRandomArbitrary = (max: number) => {
    return Math.floor( Math.random() * max);
  }

  return (
    <div className={style.messageBox}>{t(`disclaimer_${getRandomArbitrary(MAX_DISCLAIMER_NO)}`)}</div>
  );
};

export default Disclaimer;