'use client'

import { Cookies, Platforms } from '@/meta/settings';

import css from './Platform.module.scss'

import React from 'react';

import { setCookie } from '@/utils/cookies/write';
import { useCookies } from 'react-cookie';

interface Props {
    handleClose(): void
    labels: {
        title: string,
    }
}

const Platform: React.FC<Props> = (props) => {

    const { labels, handleClose } = props
    
    const [cookies] = useCookies([Cookies.platform]);

    const handleChange = async (event: React.ChangeEvent<HTMLSelectElement>) => {
        const value = event.target.value;

        await setCookie(Cookies.platform, value)

        handleClose()
    }

    return (
        <div className={css.container}>
            <div className={css.title}>{labels.title}</div>
            <select defaultValue={ cookies.platform ?? Platforms.xvideos } onChange={handleChange} name={'platform'} aria-label={labels.title}>
                {Object.keys(Platforms).map((elem, key) => {
                    return <option className={css.option} key={key} value={elem}>{elem.toUpperCase()}</option>
                })}
            </select>
        </div>
    );
};

export default Platform;