'use client'

import React from 'react';

import { Img } from 'react-image'

import classNames from 'classnames';

import Link from 'next/link'

import style from './Thumbnail.module.scss'

import { encodeVideoUrlPath } from '@/utils/string';
import { Platforms } from '@/meta/settings';

interface Props {
    locale: string
    videoUrl: string
    imgUrl: string
    platform: Platforms
    text: string
    show: boolean
}

const Thumbnail: React.FC<Props> = (props) => {

    const { locale, platform, videoUrl, imgUrl, text, show } = props

    const encodedUri = encodeVideoUrlPath(videoUrl)

    return (
        <div className={classNames(style.thumbnailContainer, { [style.show]: show } )}>
            <Link href={`/${locale}/video/${platform}/${encodedUri}`}>
                <Img className={style.image} src={imgUrl} unloader={<div className={style.imgPlaceholder}></div>} />
                <div className={style.text}>{text}</div>
            </Link>
        </div>
    );
};

export default Thumbnail;