import React from 'react';

import { useTranslations, useLocale } from 'next-intl';
import SearchBarForm from './SearchBarForm';

interface Props {
    query?: string
}

const SearchBar: React.FC<Props> = (props) => {

    const { query } = props;

    const t = useTranslations('Search');
    const locale = useLocale()

    return (
        <SearchBarForm query={query} locale={locale} labels={{
            query: { placeholder: t('placeholder')},
            submit: { value: t('submit')}
        }} />
    );
};

export default SearchBar;