import { Platforms } from "./settings"

export interface FetchParams {
    baseUrl?: string
    query?: string
}

export interface GalleryData {
    videoUrl: string
    imgUrl: string
    text: string
    platform: Platforms
}

export interface VideoData {
    lowResUrl: string,
    hiResUrl?: string,
    hlsUrl?: string
}

export interface VideoAgent {
    getGallery(params?: FetchParams): Promise<GalleryData[]> 
    getVideo(id: string, params?: FetchParams): Promise<[VideoData, GalleryData[]]>
}